* {
  box-sizing: border-box;
  padding: 15px;
  font-family: 'Didot', "Didot LT STD", "Garamond";
}

html,body{
  height: 100%;
  padding: 0;
  margin: 0;
}

p, a, li{
  padding: 0;
}

p, ul, ol, li, h1, h2, h3{
  margin: 0;
}

h1{
  text-align: left;
  font-size: 30pt;
  float: left;
}

header, footer{
  color: #B73535;
  background-color: var(--secondary) ;
  grid-column: span 2;
} 

header{
  text-align: left;
}

footer{
  text-align: center;
}

footer img{
  height: 19px;
  padding: 0;
  margin: 0;
}

header img{
  height: 110px;
}

.navigation{
  display: grid;
  color: #9ED9C5;
  row-gap: 10px;
  position: relative;
  z-index: 1;
  height: 600px;
  backdrop-filter: blur(5px);    
}

.navigation button{
  background-color: var(--secondary);
  border-radius: 20px;
  font-size: 16px;
}

.navigation a{
  display: grid;
}

.navigation img{
  width: 112px;
}

main{
  display: grid;
  grid-gap: 10px;
  background-color: transparent;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  overflow-y: scroll;
  max-width: 100%;
}

body{
  display: grid;
  background-image: url('light1.jpg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  grid-template-columns: 1fr 8fr;
}

.card:hover {
  box-shadow: 0 10px 16px 0 rgba(0,0,0,0.4);
}

:root{
  --primary: #C7F2E3;
  --secondary: #9ED9C5;
  --background:  #EEDDD2;
}

.card img{
  padding: 4px;
  width: 100%;
  height: 85%;
  object-fit: cover;
  border-radius: 5px 5px 0 0;
}

.card .title{
  text-align: center;
  vertical-align: auto;
  font-size: 15pt;
}

.card {
  content-visibility: auto;
  position: relative;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  background-color: var(--background);
  height: 300px;
  padding:0;
  align-items: stretch;
  align-content: stretch;
  border-radius: 5px;
}

button:hover {
  box-shadow: 0 10px 16px 0 rgba(0,0,0,0.4);
  cursor: pointer;
  font-size: 15px;
}

input[type=submit]{
  background-color: var(--secondary);
  border-radius: 5px;
  float: right;
  bottom: 0;
}

#recipe{
  background-color:var(--background);
  grid-column: span 1;
  margin: 100px 270px 100px 270px;
  height: auto;
  overflow-y: auto;
}

.feedbackForm{
  background-color:var(--background);
  grid-column: span 4;
  margin: 80px 200px 80px 200px;
  overflow-y: auto;
  
}

form{
  width: 100%; 
  border: solid black 2px;
  text-align: justify;
}

.formInstructions{
  width: auto;
}

label{
  padding: 16px;
  display: block;
  text-align: justify;
}

form input[type=text], form input[type=email], textarea{
  width: 100%;
  display: flex;
}

.details{
  text-align: left;
  height: auto;
}

.details h1{
  width: 100%;
  text-align: center;
}

.details img{
  padding: 0;
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 5px 5px 0 0;
}

.ingredients{
  float: left;
  width: auto;
}

.nutrition{
  float: right;
  width: auto;
  text-align: center;
  border: solid;
  border-width: 1px;
}

.directions{
  float: left;
  width: 100%;
}

#overlay {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 2;
  cursor: pointer;
  overflow-y: auto;
}

.title{
  padding: 0 0 0 5px;
}

#searchBar{
  float: right;
  width: auto;
  top: 0;
}

#enterIngredient{
  background-color: var(--background);
  grid-column: span 4;
  grid-row: span 1;
  height: max-content;
  width: 60%;
  display: flex;
}

#enterIngredient button[type="submit"]{
  color: var(--secondary);
  font-weight: bold;
  background-color: black;
}

#searchInput{
  width: 60%;
}

#filter{
  width: 28%;
}

.tags{
  float: left;
  color: black;
  width: 100%;

}

#ingredientItem{
  border-radius: 16px;
  background-color: var(--primary);
  padding: 10px;
  margin-top: 5px;
  margin-bottom: 5px;
}

.tip{
  display: grid;
  grid-template-columns: 1;
  grid-template-rows: auto;
  grid-column: span 4;
  height: fit-content;
  background-color: transparent;
  margin: 0;
  grid-gap: 10px;
}

.techniqueDetail{
  background-color: var(--primary);
  font-weight: 500;
  font-size: 16px;
  display: none;
}

.tip button{
  background-color: var(--background);
  font-size: 20px;
}

.tip button:hover + .techniqueDetail{
  display: block;
}

.slideshow{
  grid-column: span 4;
  max-height: 500px;
  position: relative;
  margin: 0;
  padding: 0;
  background-color: var(--primary);
  width: 100%;
  display: block;
}

.slide{
  display: none;
  padding: 0;
  margin: 0;
}

.slide img{
  width:100%;
  object-fit: cover;  
  max-height: 500px;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: rgba(162, 155, 155, 0.452);
  font-weight: bold;
  font-size: 18px;
  transition: 0.2s;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

.text {
  background-color: var(--primary);
  color: black;
  font-size: 30px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

#displayCards{
  display: grid;
  grid-template-columns: inherit;
  grid-column: span 4;
  max-width: 100%;
  grid-gap: 10px;
}

@media screen and (max-width: 600px) {
header, footer{
  grid-column: span 1;
} 

body{
  grid-template-rows: 1fr 2fr 6fr 1fr;
  grid-template-columns: auto;
}

.card{
  grid-column: span 4;
}

.navigation{
  overflow: hidden;  
  display: inline;
}

main{
  height: 100vh;
}

footer{
  height: 60px;
  position: relative;
  bottom: 0;
}

.slideshow{
  max-height: 250px;
}

.slide img{
  max-height: 250px;
}

#filter{
  padding: 0;
}

.feedbackForm{
  width: 100%;
  margin: 0;
}

#recipe{
  margin: 0;
}
}

@media screen and (max-width:950px) {

#recipe{
  margin: 10px;
}

.card{
  grid-column: span 2;
}

.slideshow{
  max-height: 350px;
}

.slide img{
  max-height: 350px;
}

#enterIngredient{
  width: 100%;
}

.feedbackForm{
  width: 80%;
  margin: 10%;
}

}
